package com.ym.mec.biz.dal.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class CourseHomeworkListDto {

    /**  */
    private Long id;

    /**  */
    private Long courseScheduleId;

    /** 作业内容 */
    private String content;

    /** 作业内容 */
    private String title;

    /**  */
    private java.util.Date createTime;

    @ApiModelProperty(value = "截至日期",required = false)
    private Date expiryDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间",required = false)
    private java.util.Date startClassTime;

    /**  */
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    /**  */
    private Integer classGroupId;

    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "作业完成人数",required = false)
    private Integer completedNum;

    @ApiModelProperty(value = "预计完成人数",required = false)
    private Integer expectNum;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @ApiModelProperty(value = "提交状态",required = false)
    private YesOrNoEnum status;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @ApiModelProperty(value = "是否已经回复",required = false)
    private YesOrNoEnum isReplied;

    @ApiModelProperty("老师ID")
    private Integer teacherId;
    @ApiModelProperty(value = "实际上课老师",required = false)
    private String teacherName;

    @ApiModelProperty(value = "实际上课老师头像",required = false)
    private String headUrl;
}
