package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GradeTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.biz.dal.wrapper.CloudTeacherOrderWrapper;
import com.ym.mec.common.enums.UserGenderEnum;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class StudentManageListDto {

    @ApiModelProperty(value = "用户ID",required = false)
    private Integer userId;

    @ApiModelProperty(value = "用户名",required = false)
    private String realName;

    @ApiModelProperty(value = "用户头像",required = false)
    private String avatar;

    @ApiModelProperty(value = "用户名",required = false)
    private String username;

    private String nation;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "家长电话号码",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "家长名字",required = false)
    private String parentsName;

    @ApiModelProperty(value = "生日",required = false)
    private Date birthdate;

    @ApiModelProperty(value = "班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    @ApiModelProperty(value = "年级（数字表示）",required = false)
    private Integer currentGradeNum;

    @ApiModelProperty(value = "课程余额")
    private BigDecimal courseBalance;

    @ApiModelProperty(value = "账户余额")
    private BigDecimal balance;
    
    private YesOrNoEnum isActive;

    private YesOrNoEnum hasCourse;

    @ApiModelProperty(value = "是否有网管课")
    private YesOrNoEnum hasPracticeCourse;

    private String musicGroupName;

    private Integer organId;

    private YesOrNoEnum serviceTag;

    private YesOrNoEnum operatingTag;

    private String organName;

    private String subjectName;

    private String musicGroupStatus;

    private String vipGroupName;

    private String vipGroupStatus;

    private String subjectIdList;

    private Integer isNewUser;
    
    private Boolean isSignedContract;

    private String contractVersions;

    @ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
    private Integer carePackage;

    @ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
    private Integer comeOnPackage;

    @ApiModelProperty(value = "0 - 6+3年制    1 - 5+4年制")
    private GradeTypeEnum gradeType;

    private Integer cooperationOrganId;

    private String cooperationOrganName;

    private Integer memberRankSettingId;
    
    private Date membershipEndTime;

    private String activityCourseDetail;

    private Integer membershipDay;

    private Integer experienceMembershipDay;

    private Date experienceMembershipEndTime;

    //是否有未生效的云教练订单
    private Boolean hasNoStartCloudTeacher = false;

    private Integer recordUserId;
	
	private String extSubjectIds;

	private Boolean repairFlag;

    private String normalTeacherName;

    private String mixTeacherName;

    private String vipTeacherName;

    private String practiceTeacherName;

    private Integer courseTeacher;

    private String courseTeacherName;

    @ApiModelProperty(value = "剩余VIP课数")
    private Integer noStartVipCourseNum = 0;

    @ApiModelProperty(value = "剩余网管课数")
    private Integer noStartPracticeCourseNum = 0;

    @ApiModelProperty(value = "学员生效中的云教练",required = false)
    private List<CloudTeacherOrderWrapper.StudentMemberDetail> cloudTeacherOrderList;
}
