package com.ym.mec.biz.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.TenantConfigDto;
import com.ym.mec.biz.dal.entity.TenantConfig;
import com.ym.mec.biz.dal.enums.PeriodEnum;

import java.math.BigDecimal;
import java.util.Map;

public interface TenantConfigService extends IService<TenantConfig> {

    void addConfig(TenantConfigDto dto);

    void updateConfig(TenantConfigDto dto);
    
    TenantConfig queryByTenantId(Integer tenantId);

    Map<String, BigDecimal> getRule(Integer tenantId);

    Map<String, BigDecimal> getCloudRoomRule(String config);

    //是否可以自动激活团练宝
    Map<Integer,Boolean> autoActivationFlag(Integer tenantId);

    //是否可以自动激活团练宝
    Boolean autoActivationFlag(Integer tenantId, Integer memberRankId);

    //获取激活所需的金额
    Map<Integer, JSONObject> getActivationAmount(Integer tenantId);

    //根据购买周期获取价格
    BigDecimal getPriceByPeriod(JSONObject memberConfig, PeriodEnum period);
}
